/*
 * Enhydra Java Application Server
 * The Initial Developer of the Original Code is Lutris Technologies Inc.
 * Portions created by Lutris are Copyright (C) 1997-2000 Lutris Technologies
 * Inc.
 * All Rights Reserved.
 *
 * The contents of this file are subject to the Enhydra Public License Version
 * 1.0 (the "License"); you may not use this file except in compliance with the
 * License. You may obtain a copy of the License at
 * http://www.enhydra.org/software/license/epl.html
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under the
 * License.
 *
 * $Id: GridBagConstraintsX.java,v 1.1 2000/02/10 19:54:31 pmahar Exp $
 */

package org.enhydra.devsys.swing;

import java.awt.*;

public class GridBagConstraintsX
    extends GridBagConstraints
    implements java.io.Serializable {

  public GridBagConstraintsX() {
    super();
  }

  public GridBagConstraintsX(int gridx, int gridy, int gridwidth, int gridheight,
                             double weightx, double weighty, int anchor, int fill,
                             Insets insets, int ipadx, int ipady) {
    this.gridx = gridx;
    this.gridy = gridy;
    this.gridwidth = gridwidth;
    this.gridheight = gridheight;
    this.fill = fill;
    this.ipadx = ipadx;
    this.ipady = ipady;
    this.insets = insets;
    this.anchor  = anchor;
    this.weightx = weightx;
    this.weighty = weighty;
  }

}
