
/**
 * Title:        JBuilder Tools for Enhydra<p>
 * Description:  JBuilder 3 Add in tools for working with Enhydra.<p>
 * Copyright:    Copyright (c) 1999<p>
 * Company:      Lutris<p>
 * @author Paul Mahar
 * @version
 */
package org.enhydra.ide.jbuilder.common;

import java.io.*;

public class FileUtil {

  public static void copyFile(File source, File dest)
      throws java.io.FileNotFoundException,
             java.io.IOException {

     dest.getParentFile().mkdirs();

     BufferedInputStream  in  = new BufferedInputStream(new FileInputStream(source));
     BufferedOutputStream out = new BufferedOutputStream(new FileOutputStream(dest));

     int cursor = in.read();
     while (cursor != -1) {
        out.write(cursor);
        cursor = in.read();
     }
     in.close();
     out.flush();
     out.close();
  }


}