/*
 * Enhydra Java Application Server
 * The Initial Developer of the Original Code is Lutris Technologies Inc.
 * Portions created by Lutris are Copyright (C) 1997-2000 Lutris Technologies
 * Inc.
 * All Rights Reserved.
 *
 * The contents of this file are subject to the Enhydra Public License Version
 * 1.0 (the "License"); you may not use this file except in compliance with the
 * License. You may obtain a copy of the License at
 * http://www.enhydra.org/software/license/epl.html
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under the
 * License.
 *
 * $Id: AbstractPropertyPanel.java,v 1.1.2.1 2000/03/20 08:20:53 pmahar Exp $
 */

package org.enhydra.ide.jbuilder.common.wizard;

import org.enhydra.ide.jbuilder.common.node.OtterProject;
import javax.swing.*;

/**
 * Class declaration
 *
 *
 * @author
 * @version %I%, %G%
 */
abstract public class AbstractPropertyPanel extends JPanel {
    public OtterProject project = null;

    public abstract OtterProject getProject();
    public abstract void setProject(OtterProject p);
    public abstract void readProperties();
    public abstract void writeProperties();
}
